---
title: Node.lastChild
slug: Web/API/Node/lastChild
tags:
  - API
  - DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Node.lastChild</strong></code> read-only property returns the last child of the node. If its parent is an element, then the child is generally an element node, a text node, or a comment node. It returns <code>null</code> if there are no child elements.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>childNode</var> = <var>node</var>.lastChild;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var tr = document.getElementById("row1");
var corner_td = tr.lastChild;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-node-lastchild', 'Node.lastChild')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#ID-61AD09FB', 'Node.lastChild')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core', 'core.html#ID-61AD09FB', 'Node.lastChild')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-core.html#ID-61AD09FB', 'Node.lastChild')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.lastChild")}}</p>
